> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Application

POST https://api.propexo.com/v1/applications/
Content-Type: application/json

Create an Application for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/applications/create-application

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_applications__post_input.

- `integration_id` (string, required)
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `lease_period_id` (string, optional) — The lease period to use for the application. If supplied, this field must be one of the approved lease periods defined on the Rentvine template. You can see a list of available choices for each application template on the appropriate lease period endpoint. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements or to change the list of available lease periods
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source. Required if lead_id is not specified
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `application_status` (enum, optional) — The status associated with the application
  - Allowed values: `COMPLETED`, `APPROVED`
- `first_name` (string, optional) — The first name associated with the applicant. Required if lead_id is not specified
- `last_name` (string, optional) — The last name associated with the applicant. Required if lead_id is not specified
- `address_1` (string, optional) — The first address line associated with the applicant
- `address_2` (string, optional) — The second address line associated with the applicant
- `city` (string, optional) — The city associated with the applicant
- `state` (string, optional) — The state associated with the applicant
- `zip` (string, optional) — The zip code associated with the applicant
- `attachments` (list of V1ApplicationsPostInputAttachmentsItems, optional) — Files to upload for the application
- `date_of_birth` (V1ApplicationsPostInputDateOfBirth, optional) — The date of birth associated with the applicant
- `email_1` (string, optional) — The primary email address associated with the applicant
- `move_in_date` (V1ApplicationsPostInputMoveInDate, optional) — The desired move-in date to the unit listed in the application
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `pets` (list of V1ApplicationsPostInputPetsItems, optional) — A list of applicant pets. Note: This will only be added to the primary applicant on the application.
- `vehicles` (list of V1ApplicationsPostInputVehiclesItems, optional) — A list of vehicles for the application. Note: This will only be added to the primary applicant on the application.
- `employment_history` (list of V1ApplicationsPostInputEmploymentHistoryItems, optional) — The employment history of the applicant. Note: This will only be added to the primary applicant on the application.
- `add_ons` (list of V1ApplicationsPostInputAddOnsItems, optional) — Add-ons of the application
- `other_occupants` (list of V1ApplicationsPostInputOtherOccupantsItems, optional) — A list of other occupants for the application
- `application_template_id` (string, optional) — The Propexo unique identifier for the application template. The Rentvine application template dynamically defines which fields are required for each applicant/application: whether a field is active, disabled, required, or optional. A template may also allow some enums to be modified or for entire fields to be relabeled/repurposed. The functionality of a template is extensive and will likely require that you work with your customer to define a custom template for your application use case
- `leasing_agent_first_name` (string, optional) — The first name of the leasing agent. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `leasing_agent_last_name` (string, optional) — The last name of the leasing agent. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `leasing_agent_contact_info` (string, optional) — The contact info for the leasing agent. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents for the applicant
- `security_deposit_in_cents` (integer, optional) — The security deposit in cents that the applicant will pay for the unit. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `middle_name` (string, optional) — The middle name associated with the applicant
- `type` (enum, optional) — The type of applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements. Although the field itself can be made optional/required, the value must be one of the available choices and cannot be modified as part of the template
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`, `GUARANTOR`
- `marital_status` (enum, optional) — The marital status of the applicant
  - Allowed values: `SINGLE`, `MARRIED`
- `maiden_name` (string, optional) — The maiden name associated with the applicant
- `height` (string, optional) — The height of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `weight` (string, optional) — The weight of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `eye_color` (string, optional) — The eye color of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `hair_color` (string, optional) — The hair color of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_3` (string, optional) — Third phone number associated with the applicant. An applicant can have no more than one of each phone type. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_3_type` (enum, optional) — Type of the third phone number. An applicant can have no more than one of each phone type.
  - Allowed values: `HOME`, `WORK`, `MOBILE`
- `identification_number` (string, optional) — The social security number of the applicant
- `citizenship` (string, optional) — The country of citizenship of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `place_of_birth` (string, optional) — The place of birth of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `passport_number` (string, optional) — The passport number of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `student_id` (string, optional) — The student ID number of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `drivers_license_number` (string, optional) — The driver's license number of the applicant
- `drivers_license_state` (string, optional) — The issuing state of the applicant's driver's license. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `lead_source` (string, optional) — The name of the source of the lead or how the applicant heard of the property management company. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `emergency_contacts` (list of V1ApplicationsPostInputEmergencyContactsItems, optional) — A list of emergency contacts for the applicant. Note: This will only be added to the primary applicant on the application.
- `application_references` (list of V1ApplicationsPostInputApplicationReferencesItems, optional) — A list of applicant references for the application. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `address_history` (list of V1ApplicationsPostInputAddressHistoryItems, optional) — The address history of the applicant. Note: This will only be added to the primary applicant on the application.
- `other_income` (list of V1ApplicationsPostInputOtherIncomeItems, optional) — A list of other income sources for the applicant. Note: This will only be added to the primary applicant on the application.
- `bank_accounts` (list of V1ApplicationsPostInputBankAccountsItems, optional) — A list of bank accounts for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `credit_cards` (list of V1ApplicationsPostInputCreditCardsItems, optional) — A list of credit cards for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `assistance` (V1ApplicationsPostInputAssistance, optional) — Details for payment assistance for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `employee_id` (string, optional) — The Propexo unique identifier for the employee. Employee must have a role of LEASING_AGENT. Required if lead_id is not specified
- `application_date` (V1ApplicationsPostInputApplicationDate, optional) — The application date associated with the applicant
- `start_date` (V1ApplicationsPostInputStartDate, optional) — The start date associated with the lease
- `end_date` (V1ApplicationsPostInputEndDate, optional) — The end date associated with the lease
- `status` (enum, optional) — The status associated with the application
  - Allowed values: `PENDING`, `APPROVED`, `CANCELED`, `DENIED`, `SIGNED`
- `notes` (string, optional) — Notes associated with the applicant
- `desired_lease_term_in_months` (string, optional) — The desired lease term in months of the applicant
- `floor_plan_id` (string, optional) — The Propexo unique identifier for the floor plan
- `lead_id` (string, optional) — The Propexo unique identifier for the lead. The lead will be converted to an applicant
- `third_party_id` (string, optional) — A unique ID you would like to associate with the applicant. This is not the Yardi applicant ID. Required if lead_id is not specified
- `organization_name` (string, optional) — The name of your organization. Yardi uses this for associating an applicant. Required if lead_id is not specified
- `move_out_date` (V1ApplicationsPostInputMoveOutDate, optional) — The desired move-out date to the unit listed in the application
- `is_evicted` (boolean, optional) — Whether the applicant has been evicted
- `is_felony` (boolean, optional) — Whether the applicant has a felony
- `is_criminal_charge` (boolean, optional) — Whether the applicant has a criminal charge
- `eviction_description` (string, optional) — The description of the eviction
- `felony_description` (string, optional) — The description of the felony
- `criminal_charge_description` (string, optional) — The description of the criminal charge
- `concession_fees` (list of V1ApplicationsPostInputConcessionFeesItems, optional) — A list of concession fees for the application
- `application_fees` (list of V1ApplicationsPostInputApplicationFeesItems, optional) — A list of application fees for the application

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1ApplicationsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicationsPostInputAttachmentsItems

- `file_data` (string, required) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
- `file_name` (string, required) — The name of the file including the extension. Ex: "image.jpg"
- `mime_type` (string, required) — The mime type of the file. Ex: "image/jpeg"
- `lease_file_type` (string, optional) — Deprecated: Use the `file_type_id` field instead. The PMS specific lease file type of the document
- `file_type_id` (string, optional) — The Propexo file type ID of the lease file type to upload. Prefer this over the raw input of the lease_file_type.
- `is_private` (boolean, optional) — If the file should be marked as private. If true the file will not be shown in the resident portal.

### V1ApplicationsPostInputDateOfBirth

The date of birth associated with the applicant

### V1ApplicationsPostInputMoveInDate

The desired move-in date to the unit listed in the application

### V1ApplicationsPostInputPetsItems

- `type` (string, required) — The type associated with the applicant pet
- `name` (string, optional) — The name associated with the applicant pet
- `age_in_years` (integer, optional) — The age in years of the applicant pet
- `weight_in_pounds` (integer, optional) — The weight in pounds of the applicant pet
- `breed` (string, optional) — The breed of the applicant pet
- `color` (string, optional) — The color of the applicant pet
- `gender` (string, optional) — The raw value for the gender of the applicant pet
- `is_fixed` (boolean, optional) — Whether the applicant pet is fixed
- `is_service_animal` (boolean, optional) — Whether the applicant pet is a service animal

### V1ApplicationsPostInputVehiclesItems

- `make` (string, required) — The make of the vehicle
- `model` (string, optional) — The model of the vehicle
- `year` (integer, optional) — The year the vehicle was made
- `color` (string, optional) — The color of the vehicle
- `license_plate_number` (string, optional) — The license plate number of the vehicle
- `license_plate_state` (enum, optional) — The issuing state of the license plate
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`

### V1ApplicationsPostInputEmploymentHistoryItems

- `is_current_employer` (boolean, required) — Whether this employment history entry is for a current employer
- `name` (string, required) — The name of the employer
- `start_date` (V1ApplicationsPostInputEmploymentHistoryItemsStartDate, required) — The start date of the applicant's employment at this employer
- `end_date` (V1ApplicationsPostInputEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true
- `address_1` (string, optional) — The first line of the address of the employer
- `city` (string, optional) — The city of the address of the employer
- `state` (enum, optional) — The state of the address of the employer
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the employer
- `supervisor_phone` (string, optional) — The phone number of the applicant's supervisor
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer
- `position` (string, optional) — The position held at this employer, or the job description of the applicant
- `phone` (string, optional, deprecated) — The phone number of the employer. DEPRECATED: Use supervisor_phone instead
- `monthly_income_in_cents` (integer, optional, deprecated) — The monthly income of the applicant at this employer in cents. DEPRECATED: Use income_in_cents instead
- `income_in_cents` (integer, optional, deprecated) — The monthly income of the applicant at this employer in cents.

### V1ApplicationsPostInputAddOnsItems

- `rentable_item_id` (string, required) — The Propexo unique identifier for the rentable item
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `start_date` (V1ApplicationsPostInputAddOnsItemsStartDate, optional) — The start date associated with the employee
- `end_date` (V1ApplicationsPostInputAddOnsItemsEndDate, optional) — The end date associated with the employee

### V1ApplicationsPostInputOtherOccupantsItems

- `relationship` (enum, required) — The relationship of the occupant to the applicant
  - Allowed values: `ROOMMATE`, `SPOUSE`, `GUARANTOR`, `OTHER`
- `first_name` (string, required) — The first name associated with the occupant
- `last_name` (string, required) — The last name associated with the occupant
- `third_party_id` (string, required) — A unique ID you would like to associate with the occupant. This is not the Yardi occupant ID
- `organization_name` (string, required) — The name of your organization. Yardi uses this for associating an occupant
- `email_1` (string, optional) — The primary email address associated with the occupant
- `phone_1` (string, optional) — Primary phone number associated with the occupant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the occupant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `address_1` (string, optional) — The first address line associated with the occupant
- `city` (string, optional) — The city associated with the occupant
- `state` (enum, optional) — The state associated with the occupant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code associated with the occupant

### V1ApplicationsPostInputEmergencyContactsItems

- `first_name` (string, required) — The first name of the emergency contact
- `last_name` (string, required) — The last name of the emergency contact
- `relationship` (enum, required) — The relationship of the emergency contact to the applicant
  - Allowed values: `DAUGHTER`, `FRIEND`, `HUSBAND`, `SON`, `WIFE`, `OTHER`
- `address_1` (string, optional) — The first line of the address of the emergency contact
- `city` (string, optional) — The city of the address of the emergency contact
- `state` (enum, optional) — The state of the address of the emergency contact
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, optional) — The zip code of the address of the emergency contact
- `country` (V1ApplicationsPostInputEmergencyContactsItemsCountry, optional) — The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
- `phone_1` (string, optional) — The phone number of the emergency contact

### V1ApplicationsPostInputApplicationReferencesItems

- `first_name` (string, required) — The first name of the applicant's reference. This field is not configurable on the Rentvine template and is always required
- `last_name` (string, required) — The last name of the applicant's reference. This field is not configurable on the Rentvine template and is always required
- `relationship` (string, optional) — The relationship of the applicant's reference to the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_1` (string, optional) — The first line of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_2` (string, optional) — The second line of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `city` (string, optional) — The city of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `state` (string, optional) — The state of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `zip` (string, optional) — The zip code of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `country` (string, optional) — The country of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_1` (string, optional) — The phone number of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicationsPostInputAddressHistoryItems

- `address_1` (string, required) — The first address line associated with the applicant's historical address
- `city` (string, required) — The city associated with the applicant's historical address
- `state` (enum, required) — The state associated with the applicant
  - Allowed values: `AA`, `AE`, `AK`, `AL`, `AP`, `AR`, `AS`, `AZ`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `IA`, `ID`, `IN`, `KS`, `KY`, `LA`, `MA`, `MD`, `ME`, `MH`, `MI`, `MN`, `MO`, `MP`, `MS`, `MT`, `NC`, `NE`, `NL`, `NJ`, `NM`, `NV`, `NY`, `OH`, `OK`, `OR`, `PA`, `PR`, `SD`, `TN`, `TX`, `UT`, `VA`, `VI`, `VT`, `WA`, `WI`, `WV`, `WY`, `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`
- `zip` (string, required) — The zip code associated with the applicant's historical address
- `notice_provided` (boolean, required) — Whether notice has been given to the applicant's historical address
- `move_in_date` (V1ApplicationsPostInputAddressHistoryItemsMoveInDate, required) — The date when the applicant moved into their historical address
- `country` (V1ApplicationsPostInputAddressHistoryItemsCountry, optional) — The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help
- `property_name` (string, optional) — The property name of the applicant's historical address
- `reason_for_leaving` (string, optional) — The reason the applicant left their historical address
- `monthly_payment_in_cents` (integer, optional) — For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents
- `move_out_date` (V1ApplicationsPostInputAddressHistoryItemsMoveOutDate, optional) — The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field
- `manager_phone` (string, optional) — The phone number of a property manager who works at this address
- `manager_email` (string, optional) — The email of a property manager who works at this address
- `management_company` (string, optional) — The name of the company who owns the property at this address

### V1ApplicationsPostInputOtherIncomeItems

- `source` (string, required) — The source of the income for the applicant
- `monthly_income_in_cents` (integer, required) — The monthly income from this income source in cents

### V1ApplicationsPostInputBankAccountsItems

- `name` (string, required) — The name of the bank where the account is held. This field is not configurable on the Rentvine template and is always required
- `account_type` (enum, optional) — The type of bank account. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
  - Allowed values: `SAVINGS`, `CHECKING`
- `account_number` (string, optional) — The account number of the bank account. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `balance_in_cents` (integer, optional) — The current balance of the bank account in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicationsPostInputCreditCardsItems

- `name` (string, required) — The name of the bank or issuer of the credit card. This field is not configurable on the Rentvine template and is always required
- `balance_in_cents` (integer, optional) — The current balance of the credit card in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicationsPostInputAssistance

Details for payment assistance for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements

- `agency_name` (string, optional) — The name of the agency who is providing assistance for the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `county` (string, optional) — The county where the agency is located. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `technician_name` (string, optional) — The name of the agency's contact assigned to support the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone` (string, optional) — The phone number of the agency or of the agency's contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `assistance_amount_in_cents` (integer, optional) — The amount of assistance for the applicant in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `beds_allowed` (string, optional) — The number of beds allowed for the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `are_utilities_covered` (boolean, optional) — Whether utilities are covered for the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicationsPostInputApplicationDate

The application date associated with the applicant

### V1ApplicationsPostInputStartDate

The start date associated with the lease

### V1ApplicationsPostInputEndDate

The end date associated with the lease

### V1ApplicationsPostInputMoveOutDate

The desired move-out date to the unit listed in the application

### V1ApplicationsPostInputConcessionFeesItems

- `start_date` (V1ApplicationsPostInputConcessionFeesItemsStartDate, required) — The start date of the applicant's recurring concession fee
- `end_date` (V1ApplicationsPostInputConcessionFeesItemsEndDate, required) — The end date of the applicant's recurring concession fee
- `concession_id` (string, required) — The Propexo unique identifier for the concession. This concession must be associated with the unit that the applicant is applying for

### V1ApplicationsPostInputApplicationFeesItems

- `charge_code_id` (string, required) — The Propexo unique identifier for the charge code. This must be an application fee charge code
- `amount_in_cents` (integer, required) — The application fee amount in cents
- `description` (string, optional) — Description of the application fee

### V1ApplicationsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicationsPostInputEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer

### V1ApplicationsPostInputEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer. Ignore this field if is_current_employer is set to true

### V1ApplicationsPostInputAddOnsItemsStartDate

The start date associated with the employee

### V1ApplicationsPostInputAddOnsItemsEndDate

The end date associated with the employee

### V1ApplicationsPostInputEmergencyContactsItemsCountry

The country of the address of the emergency contact. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

### V1ApplicationsPostInputAddressHistoryItemsMoveInDate

The date when the applicant moved into their historical address

### V1ApplicationsPostInputAddressHistoryItemsCountry

The country associated with the applicant's historical address. If your application needs to support submitting an applicant who resides in another country, please reach out to Propexo Support for help

### V1ApplicationsPostInputAddressHistoryItemsMoveOutDate

The date when the applicant moved out of their historical address. If this is the applicant's current address, omit this field

### V1ApplicationsPostInputConcessionFeesItemsStartDate

The start date of the applicant's recurring concession fee

### V1ApplicationsPostInputConcessionFeesItemsEndDate

The end date of the applicant's recurring concession fee

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_1234567890abcdef",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applications/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applications/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applications/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applications/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/applications/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/applications/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applications/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applications/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```